## NMSettingHsr NMSettingHsr — Describes connection properties for HSR/PRP interfaces |

## Functions

NMSetting * | nm_setting_hsr_new ()
const char * | nm_setting_hsr_get_port1 ()
const char * | nm_setting_hsr_get_port2 ()
guint32 | nm_setting_hsr_get_multicast_spec ()
gboolean | nm_setting_hsr_get_prp ()

## Types and Values

#define | NM_SETTING_HSR_SETTING_NAME
#define | NM_SETTING_HSR_PORT1
#define | NM_SETTING_HSR_PORT2
#define | NM_SETTING_HSR_MULTICAST_SPEC
#define | NM_SETTING_HSR_PRP

## Description

The NMSettingHsr object is a NMSetting subclass that describes properties necessary for HSR/PRP connections.

## Functions

### nm_setting_hsr_new ()

    NMSetting *
    nm_setting_hsr_new (void);

Creates a new NMSettingHsr object with default values.

#### Returns

the new empty NMSettingHsr object.

[transfer full]

Since: 1.46

### nm_setting_hsr_get_port1 ()

    const char *
    nm_setting_hsr_get_port1 (NMSettingHsr *setting);

#### Parameters

setting | the NMSettingHsr |

#### Returns

the “port1” property of the setting

Since: 1.46

### nm_setting_hsr_get_port2 ()

    const char *
    nm_setting_hsr_get_port2 (NMSettingHsr *setting);

#### Parameters

setting | the NMSettingHsr |

#### Returns

the “port2” property of the setting

Since: 1.46

### nm_setting_hsr_get_multicast_spec ()

    guint32
    nm_setting_hsr_get_multicast_spec (NMSettingHsr *setting);

#### Parameters

setting | the NMSettingHsr |

#### Returns

the “multicast_spec” property of the setting

Since: 1.46

### nm_setting_hsr_get_prp ()

    gboolean
    nm_setting_hsr_get_prp (NMSettingHsr *setting);

#### Parameters

setting | the NMSettingHsr |

#### Returns

the “prp” property of the setting

Since: 1.46

## Types and Values

### NM_SETTING_HSR_SETTING_NAME

    #define NM_SETTING_HSR_SETTING_NAME "hsr"

### NM_SETTING_HSR_PORT1

    #define NM_SETTING_HSR_PORT1          "port1"

### NM_SETTING_HSR_PORT2

    #define NM_SETTING_HSR_PORT2          "port2"

### NM_SETTING_HSR_MULTICAST_SPEC

    #define NM_SETTING_HSR_MULTICAST_SPEC "multicast-spec"

### NM_SETTING_HSR_PRP

    #define NM_SETTING_HSR_PRP            "prp"